"use strict";
// -*- mode: typescript; indent-tabs-mode: nil; js-basic-offset: 4 -*-
//
// This file is part of ThingTalk
//
// Copyright 2018-2020 The Board of Trustees of the Leland Stanford Junior University
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Author: Giovanni Campagna <gcampagn@cs.stanford.edu>
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeVisitor = exports.Node = void 0;
/**
 * The AST namespace includes the definition of AST nodes.
 *
 * @namespace Ast
 */
// import syntax API first to resolve a cyclic import:
// "base" imports "syntax_api" for serialize, and "syntax_api"
// indirectly imports us here
require("../syntax_api");
var base_1 = require("./base");
Object.defineProperty(exports, "Node", { enumerable: true, get: function () { return __importDefault(base_1).default; } });
__exportStar(require("./base"), exports);
__exportStar(require("./function_def"), exports);
__exportStar(require("./class_def"), exports);
__exportStar(require("./values"), exports);
__exportStar(require("./invocation"), exports);
__exportStar(require("./boolean_expression"), exports);
__exportStar(require("./expression"), exports);
__exportStar(require("./permissions"), exports);
__exportStar(require("./legacy"), exports);
__exportStar(require("./statement"), exports);
__exportStar(require("./program"), exports);
__exportStar(require("./control_commands"), exports);
__exportStar(require("./dialogues"), exports);
var visitor_1 = require("./visitor");
Object.defineProperty(exports, "NodeVisitor", { enumerable: true, get: function () { return __importDefault(visitor_1).default; } });
__exportStar(require("./slots"), exports);
//# sourceMappingURL=index.js.map