/**
 * Adjust ThingTalk for compatibility with an older ThingTalk client.
 *
 * This method can be used to modify NN-syntax code so that older
 * ThingTalk libraries can process the program without losing features.
 * Not all features have a compatibility conversion, some features might
 * be silently discarded.
 *
 * @param {Array<string>} program - program to convert
 * @param {string} thingtalk_version - the version of the ThingTalk library to target
 */
export default function applyCompatibility(program: Array<string>, thingtalk_version: string): void;
